import { App, Gdk } from "astal/gtk3"
import style from "./style.scss"
import Bar from "./Bar"
import Hyprland from "gi://AstalHyprland";
import NotificationPopups from "./notifications/NotificationPopups"

function find_main_monitor(): Hyprland.Monitor {
    const hyprland = Hyprland.get_default();
    let monitors = hyprland.get_monitors()
    for (let i = 0; i < monitors.length; i++) {
        for (const monitor of ["eDP", "DP", "HDMI-A"]) {
            if (monitors[i].get_name() == monitor + "-" + i) {
                return monitors[i]
            }
        }
    }
    return monitors[0]
}

App.start({
    css: style,
    iconTheme: "Papirus",
    main() {
        let mainMonitor = find_main_monitor()
        let gtkMonitor = App.get_monitors()[Number(mainMonitor.get_id())]
        let scale = (mainMonitor.get_width() >= 3000)? 1.2: 1
        Bar(gtkMonitor, scale)
        NotificationPopups(gtkMonitor)
    },
})
